/******************************************************************
 * Class that handles the opening and reading of eg a CD drive    *
 ******************************************************************/

#ifndef DEVICEREADER_H
#define DEVICEREADER_H

#include <windows.h>
#include <string>

class DeviceReader {
public:
	DeviceReader(std::string driveLetter);
	~DeviceReader();
	std::string read(int buglen);
	bool failed();
	std::string getError();
private:
	void setError(std::string error);
	HANDLE mDeviceHandle;
	bool mFailed;
	std::string mError;
};

#endif

